import type { AppModule, AppModuleClass } from '../domain/models/app-module';
export interface SDKContainerOptions {
    modules?: Record<string, AppModuleClass>;
    configs?: Record<string, Record<string, any>>;
    prebuilt?: Record<string, AppModule>;
}
export declare class SDKContainer {
    private resolvedModules;
    init(options: SDKContainerOptions): void;
    getService<T>(name: string): T;
    getModule<T extends AppModule>(name: string): T;
    getResolvedModules(): Record<string, AppModule>;
}
